Bank Mega - Support #978

Query untuk membaca Employee yang baru saja hiring tetapi sudah mendapat quota cuti sebelum
masa kerja di bawah 1 tahun.

03/17/2022 10:46 AM - Muhammad Bintar

Status: Closed Start date: 03/17/2022
Priority: Normal Due date: 03/21/2022
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear tim developer, mohon support untuk membuatkan query untuk membaca Employee yang baru saja hiring tetapi sudah
mendapat quota cuti sebelum masa kerja di bawah 1 tahun.

tabel yang dibaca adalah master data assignment dengan employee status active dan movement type nya hiring. setelah dapat
datanya, startdate nya itu di movement type hiring di join kan ke master data absence quota.

History

#1 - 03/17/2022 01:59 PM - Muhammad Bintar

update :

SELECT md17.original_quota,md17.remaining_quota,* FROM dbo.hr_md_emp_md0002 md02 LEFT OUTER JOIN dbo.hr_md_emp_md0017 mdi17
ON md02.emp_id=md17.emp_id AND md02.start_date=md17.start_date

WHERE movement_type='01" AND md17.remaining_quota IS NOT NULL AND md17.original_quota IS NOT NULL AND md02.end_date >=
dbo.fn_formatdatetime(GETDATE, 'yyyymmdd')

#2 - 03/18/2022 09:42 AM - Saswanto Tampan
- Status changed from New to Revise

- Assignee changed from Saswanto Tampan to Muhammad Bintar

#3 - 04/20/2022 01:29 PM - Muhammad Bintar

- Status changed from Revise to Closed

07/05/2025 1/1



http://www.tcpdf.org

